PoolingSegmentedFile (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.io.util

## Class PoolingSegmentedFile

- java.lang.Object
- - org.apache.cassandra.io.util.SegmentedFile
  - - org.apache.cassandra.io.util.PoolingSegmentedFile

- Direct Known Subclasses:
    BufferedPoolingSegmentedFile, CompressedPoolingSegmentedFile

      public abstract class PoolingSegmentedFile
      extends SegmentedFile

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.io.util.SegmentedFile

      `SegmentedFile.Builder`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.io.util.SegmentedFile

      `length, onDiskLength, path`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PoolingSegmentedFile(java.lang.String path, long length)`
    `protected` | `PoolingSegmentedFile(java.lang.String path, long length, long onDiskLength)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()` Do whatever action is needed to reclaim ressources used by this SegmentedFile.
    `protected abstract RandomAccessReader` | `createReader(java.lang.String path)`
    `FileDataInput` | `getSegment(long position)`
    `void` | `recycle(RandomAccessReader reader)`

    - ### Methods inherited from class org.apache.cassandra.io.util.SegmentedFile

      `getBuilder, getCompressedBuilder, getCompressedBuilder, iterator, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PoolingSegmentedFile

          protected PoolingSegmentedFile(java.lang.String path,
                              long length)

    - #### PoolingSegmentedFile

          protected PoolingSegmentedFile(java.lang.String path,
                              long length,
                              long onDiskLength)

  - ### Method Detail

    - #### getSegment

          public FileDataInput getSegment(long position)

      Specified by:
        `getSegment` in class `SegmentedFile`

    - #### createReader

          protected abstract RandomAccessReader createReader(java.lang.String path)

    - #### recycle

          public void recycle(RandomAccessReader reader)

    - #### cleanup

          public void cleanup()

      Description copied from class: `SegmentedFile`
      Do whatever action is needed to reclaim ressources used by this SegmentedFile.
      Specified by:
        `cleanup` in class `SegmentedFile`

Copyright © 2014 The Apache Software Foundation